# Font future by Sam Hocevar <sam@hocevar.net> released under WTFPL via
# http://sam.zoy.org/wtfpl/COPYING

from typing import Dict, Tuple


chars: Dict[str, Tuple[str, ...]] = {
    " ": (
        "   ",
        "   ",
        "   ",
    ),
    "!": (
        "╻",
        "╹",
        "╹",
    ),
    '"': (
        "╻╻",
        "  ",
        "  ",
    ),
    "$": (
        "┏┳┓",
        "┗╋┓",
        "┗┻┛",
    ),
    "%": (
        "┏┓╻",
        "┏━┛",
        "╹┗┛",
    ),
    "&": (
        "┏┓  ",
        "┃╺╋╸",
        "┗━┛ ",
    ),
    "'": (
        "╻",
        " ",
        " ",
    ),
    "(": (
        "┏╸",
        "┃ ",
        "┗╸",
    ),
    ")": (
        "╺┓",
        " ┃",
        "╺┛",
    ),
    "*": (
        "╻ ╻",
        "╺╋╸",
        "╹ ╹",
    ),
    "+": (
        " ╻ ",
        "╺╋╸",
        " ╹ ",
    ),
    ",": (
        "  ",
        "  ",
        " ┛",
    ),
    "-": (
        "   ",
        "╺━╸",
        "   ",
    ),
    ".": (
        " ",
        " ",
        "╹",
    ),
    "/": (
        " ╻",
        "┏┛",
        "╹ ",
    ),
    "0": (
        "┏━┓",
        "┃┃┃",
        "┗━┛",
    ),
    "1": (
        "╺┓ ",
        " ┃ ",
        "╺┻╸",
    ),
    "2": (
        "┏━┓",
        "┏━┛",
        "┗━╸",
    ),
    "3": (
        "┏━┓",
        "╺━┫",
        "┗━┛",
    ),
    "4": (
        "╻ ╻",
        "┗━┫",
        "  ╹",
    ),
    "5": (
        "┏━╸",
        "┗━┓",
        "┗━┛",
    ),
    "6": (
        "┏━┓",
        "┣━┓",
        "┗━┛",
    ),
    "7": (
        "┏━┓",
        "  ┃",
        "  ╹",
    ),
    "8": (
        "┏━┓",
        "┣━┫",
        "┗━┛",
    ),
    "9": (
        "┏━┓",
        "┗━┫",
        "┗━┛",
    ),
    ":": (
        " ",
        "╹",
        "╹",
    ),
    ";": (
        "  ",
        " ╹",
        " ┛",
    ),
    "=": (
        "   ",
        "╺━╸",
        "╺━╸",
    ),
    "?": (
        "┏━┓",
        " ╺┛",
        " ╹ ",
    ),
    "@": (
        "┏━┓",
        "┃┣┛",
        "┗━╸",
    ),
    "A": (
        "┏━┓",
        "┣━┫",
        "╹ ╹",
    ),
    "B": (
        "┏┓ ",
        "┣┻┓",
        "┗━┛",
    ),
    "C": (
        "┏━╸",
        "┃  ",
        "┗━╸",
    ),
    "D": (
        "╺┳┓",
        " ┃┃",
        "╺┻┛",
    ),
    "E": (
        "┏━╸",
        "┣╸ ",
        "┗━╸",
    ),
    "F": (
        "┏━╸",
        "┣╸ ",
        "╹  ",
    ),
    "G": (
        "┏━╸",
        "┃╺┓",
        "┗━┛",
    ),
    "H": (
        "╻ ╻",
        "┣━┫",
        "╹ ╹",
    ),
    "I": (
        "╻",
        "┃",
        "╹",
    ),
    "J": (
        " ┏┓",
        "  ┃",
        "┗━┛",
    ),
    "K": (
        "╻┏ ",
        "┣┻┓",
        "╹ ╹",
    ),
    "L": (
        "╻  ",
        "┃  ",
        "┗━╸",
    ),
    "M": (
        "┏┳┓",
        "┃┃┃",
        "╹ ╹",
    ),
    "N": (
        "┏┓╻",
        "┃┗┫",
        "╹ ╹",
    ),
    "O": (
        "┏━┓",
        "┃ ┃",
        "┗━┛",
    ),
    "P": (
        "┏━┓",
        "┣━┛",
        "╹  ",
    ),
    "Q": (
        "┏━┓",
        "┃┓┃",
        "┗┻┛",
    ),
    "R": (
        "┏━┓",
        "┣┳┛",
        "╹┗╸",
    ),
    "S": (
        "┏━┓",
        "┗━┓",
        "┗━┛",
    ),
    "T": (
        "╺┳╸",
        " ┃ ",
        " ╹ ",
    ),
    "U": (
        "╻ ╻",
        "┃ ┃",
        "┗━┛",
    ),
    "V": (
        "╻ ╻",
        "┃┏┛",
        "┗┛ ",
    ),
    "W": (
        "╻ ╻",
        "┃╻┃",
        "┗┻┛",
    ),
    "X": (
        "╻ ╻",
        "┏╋┛",
        "╹ ╹",
    ),
    "Y": (
        "╻ ╻",
        "┗┳┛",
        " ╹ ",
    ),
    "Z": (
        "╺━┓",
        "┏━┛",
        "┗━╸",
    ),
    "[": (
        "┏━ ",
        "┃  ",
        "┗━ ",
    ),
    "\\": (
        "╻ ",
        "┗┓",
        " ╹",
    ),
    "]": (
        " ━┓",
        "  ┃",
        " ━┛",
    ),
    "_": (
        "   ",
        "   ",
        "╺━╸",
    ),
    "`": (
        " ┓",
        "  ",
        "  ",
    ),
    "a": (
        "┏━┓",
        "┣━┫",
        "╹ ╹",
    ),
    "b": (
        "┏┓ ",
        "┣┻┓",
        "┗━┛",
    ),
    "c": (
        "┏━╸",
        "┃  ",
        "┗━╸",
    ),
    "d": (
        "╺┳┓",
        " ┃┃",
        "╺┻┛",
    ),
    "e": (
        "┏━╸",
        "┣╸ ",
        "┗━╸",
    ),
    "f": (
        "┏━╸",
        "┣╸ ",
        "╹  ",
    ),
    "g": (
        "┏━╸",
        "┃╺┓",
        "┗━┛",
    ),
    "h": (
        "╻ ╻",
        "┣━┫",
        "╹ ╹",
    ),
    "i": (
        "╻",
        "┃",
        "╹",
    ),
    "j": (
        " ┏┓",
        "  ┃",
        "┗━┛",
    ),
    "k": (
        "╻┏ ",
        "┣┻┓",
        "╹ ╹",
    ),
    "l": (
        "╻  ",
        "┃  ",
        "┗━╸",
    ),
    "m": (
        "┏┳┓",
        "┃┃┃",
        "╹ ╹",
    ),
    "n": (
        "┏┓╻",
        "┃┗┫",
        "╹ ╹",
    ),
    "o": (
        "┏━┓",
        "┃ ┃",
        "┗━┛",
    ),
    "p": (
        "┏━┓",
        "┣━┛",
        "╹  ",
    ),
    "q": (
        "┏━┓",
        "┃┓┃",
        "┗┻┛",
    ),
    "r": (
        "┏━┓",
        "┣┳┛",
        "╹┗╸",
    ),
    "s": (
        "┏━┓",
        "┗━┓",
        "┗━┛",
    ),
    "t": (
        "╺┳╸",
        " ┃ ",
        " ╹ ",
    ),
    "u": (
        "╻ ╻",
        "┃ ┃",
        "┗━┛",
    ),
    "v": (
        "╻ ╻",
        "┃┏┛",
        "┗┛ ",
    ),
    "w": (
        "╻ ╻",
        "┃╻┃",
        "┗┻┛",
    ),
    "x": (
        "╻ ╻",
        "┏╋┛",
        "╹ ╹",
    ),
    "y": (
        "╻ ╻",
        "┗┳┛",
        " ╹ ",
    ),
    "z": (
        "╺━┓",
        "┏━┛",
        "┗━╸",
    ),
    "{": (
        " ┏╸",
        "╺┫ ",
        " ┗╸",
    ),
    "|": (
        "╻",
        "┃",
        "╹",
    ),
    "}": (
        "╺┓ ",
        " ┣╸",
        "╺┛ ",
    ),
    "~": (
        "   ",
        "┏━┛",
        "   ",
    ),
}
